FROM alpine:3.21.2

LABEL org.opencontainers.image.authors="alier@student.42mulhouse.fr"

RUN apk add curl

RUN wget https://github.com/mailhog/MailHog/releases/download/v1.0.1/MailHog_linux_amd64 -O /usr/local/bin/mailhog \
    && chmod +x /usr/local/bin/mailhog
#RUN wget https://github.com/mailhog/MailHog/releases/download/v1.0.1/MailHog_linux_arm -O /usr/local/bin/mailhog \
#    && chmod +x /usr/local/bin/mailhog

ENV MH_UI_WEB_PATH=mailhog

EXPOSE 1025
EXPOSE 8025

HEALTHCHECK --start-period=5s \
    CMD curl "http://localhost:8025" --fail || exit 1

ENTRYPOINT ["mailhog"]
